JsDoc Reference - TrustAnchor

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class TrustAnchor

Class implementing a CVC based access controller
Defined in: TrustAnchor.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| TrustAnchor(root) Create a TrustAnchor object that handles certificate validation, terminal authentication and access control

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addCARforPACE(response) Add recent trust anchor to PACE response
| checkCertificate(issuer, subject, dataProvider, dp) Check certificate This method updates the current date for certificates issued by domestic DVCAs.
| getCertificateFor(chr) Return certificate for chr
| getPublicKeyFor(chr) Get public key from certificate, possibly determine the domain parameter from previous trust anchors
| getType() Return type of file system object
| isIssuer(chr) Is a recent trust anchor issuer of the certificate chr in question
| updateEFCVCA(dataProvider) Update EF.CVCA with list of valid trust anchors
| validateCertificateIssuedByCVCA(crypto, cert, dataProvider) Validate certificate issued by CVCA
| validateCertificateIssuedByDVCA(crypto, cert, dvca, dataProvider) Validate certificate issued by CVCA

Class Detail
TrustAnchor(root)
Create a TrustAnchor object that handles certificate validation, terminal authentication and access control

Parameters:
{CVC} root
  the root certificate

Method Detail
addCARforPACE(response)
Add recent trust anchor to PACE response

Parameters:
{ASN1} response
  the response object to receive tag 87 and 88

checkCertificate(issuer, subject, dataProvider, dp)
Check certificate

This method updates the current date for certificates issued by domestic DVCAs.

Parameters:
{CVC} issuer
  the issuing certificate
{CVC} subject
  the subjects certificate
{Object} dataProvider
  object implementing getDate(), setDate() and updateEFCVCA()
{Key} dp
  domain parameter for checking the public key

{CVC} getCertificateFor(chr)
Return certificate for chr

Parameters:
{PublicKeyReference} chr
  the certificate holder

Returns:
  the certificate or null

{Key} getPublicKeyFor(chr)
Get public key from certificate, possibly determine the domain parameter from previous trust anchors

Parameters:
{PublicKeyReference} chr
  the certificate holder

Returns:
  the public key or null

{String} getType()
Return type of file system object

Returns:
  the type string

{boolean} isIssuer(chr)
Is a recent trust anchor issuer of the certificate chr in question

Parameters:
{PublicKeyReference} chr
  the certificate holder

Returns:
  true if trust anchor issued certificate

updateEFCVCA(dataProvider)
Update EF.CVCA with list of valid trust anchors

Parameters:
{Object} dataProvider
  object implementing getDate(), setDate() and updateEFCVCA()

validateCertificateIssuedByCVCA(crypto, cert, dataProvider)
Validate certificate issued by CVCA

Parameters:
{Crypto} crypto
  the crypto object to use for verification
{CVC} cert
  the certificate to validate
{Object} dataProvider
  object implementing getDate(), setDate() and updateEFCVCA()

validateCertificateIssuedByDVCA(crypto, cert, dvca, dataProvider)
Validate certificate issued by CVCA

Parameters:
{Crypto} crypto
  the crypto object to use for verification
{CVC} cert
  the certificate to validate
{CVC} dvca
  the issuing certificate
{Object} dataProvider
  object implementing getDate(), setDate() and updateEFCVCA()

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)